al_merge_config(3)

NAME

al_merge_config - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_CONFIG *al_merge_config(const ALLEGRO_CONFIG *cfg1,
        const ALLEGRO_CONFIG *cfg2)

DESCRIPTION

Merge two configuration structures, and return the result as a new configuration. Values in configuration 'cfg2' override those in 'cfg1'. Neither of the input configuration structures are modified. Comments from 'cfg2' are not retained.

SEE ALSO

al_merge_config_into(3)